package cn.com.poc.knowledge.query;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;

import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for KnowledgeInfosQuery
 */
@Entity
public class KnowledgeInfosQueryItem extends BaseItemClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     * id
     */
    private java.lang.Integer id;

    @Column(name = "id")
    public java.lang.Integer getId() {
        return this.id;
    }

    public void setId(java.lang.Integer id) {
        this.id = id;
    }

    /**
     * knowledge_name
     * knowledge_name
     */
    private java.lang.String knowledgeName;

    @Column(name = "knowledge_name")
    public java.lang.String getKnowledgeName() {
        return this.knowledgeName;
    }

    public void setKnowledgeName(java.lang.String knowledgeName) {
        this.knowledgeName = knowledgeName;
    }

    /**
     * knowledge_type
     * knowledge_type
     */
    private java.lang.String knowledgeType;

    @Column(name = "knowledge_type")
    public String getKnowledgeType() {
        return knowledgeType;
    }

    public void setKnowledgeType(String knowledgeType) {
        this.knowledgeType = knowledgeType;
    }

    /**
     * knowledge_owner
     * knowledge_owner
     */
    private String knowledgeOwner;

    @Column(name = "knowledge_owner")
    public String getKnowledgeOwner() {
        return knowledgeOwner;
    }

    public void setKnowledgeOwner(String knowledgeOwner) {
        this.knowledgeOwner = knowledgeOwner;
    }

    /**
     * member_id
     * member_id
     */
    private java.lang.String memberId;

    @Column(name = "member_id")
    public java.lang.String getMemberId() {
        return this.memberId;
    }

    public void setMemberId(java.lang.String memberId) {
        this.memberId = memberId;
    }

    /**
     * kd_ids
     * kd_ids
     */
    private java.lang.String kdIds;

    @Column(name = "kd_ids")
    public java.lang.String getKdIds() {
        return this.kdIds;
    }

    public void setKdIds(java.lang.String kdIds) {
        this.kdIds = kdIds;
    }

    /**
     * train_status
     * train_status
     */
    private java.lang.String trainStatus;

    @Column(name = "train_status")
    public java.lang.String getTrainStatus() {
        return this.trainStatus;
    }

    public void setTrainStatus(java.lang.String trainStatus) {
        this.trainStatus = trainStatus;
    }

    /**
     * knowledge_desc
     * knowledge_desc
     */
    private java.lang.String knowledgeDesc;

    @Column(name = "knowledge_desc")
    public java.lang.String getKnowledgeDesc() {
        return this.knowledgeDesc;
    }

    public void setKnowledgeDesc(java.lang.String knowledgeDesc) {
        this.knowledgeDesc = knowledgeDesc;
    }

    /**
     * is_open
     */
    private java.lang.String isOpen;

    @Column(name = "is_open")
    public java.lang.String getIsOpen() {
        return isOpen;
    }

    public void setIsOpen(java.lang.String isOpen) {
        this.isOpen = isOpen;
    }


    /**
     * is_deleted
     * is_deleted
     */
    private java.lang.String isDeleted;

    @Column(name = "is_deleted")
    public java.lang.String getIsDeleted() {
        return this.isDeleted;
    }

    public void setIsDeleted(java.lang.String isDeleted) {
        this.isDeleted = isDeleted;
    }

    /**
     * CREATOR
     * CREATOR
     */
    private java.lang.String creator;

    @Column(name = "CREATOR")
    public java.lang.String getCreator() {
        return this.creator;
    }

    public void setCreator(java.lang.String creator) {
        this.creator = creator;
    }

    /**
     * CREATED_TIME
     * CREATED_TIME
     */
    private java.util.Date createdTime;

    @Column(name = "CREATED_TIME")
    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
    }

    /**
     * MODIFIER
     * MODIFIER
     */
    private java.lang.String modifier;

    @Column(name = "MODIFIER")
    public java.lang.String getModifier() {
        return this.modifier;
    }

    public void setModifier(java.lang.String modifier) {
        this.modifier = modifier;
    }

    /**
     * MODIFIED_TIME
     * MODIFIED_TIME
     */
    private java.util.Date modifiedTime;

    @Column(name = "MODIFIED_TIME")
    public java.util.Date getModifiedTime() {
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

} 